# FindDialog Class Reference

`#include <finddialog.h>`

List of all members.

## Public Slots
void | showDialog ()
void | retranslateUi ()
## Signals
void | cursorAtStartPos ()
| signal cursor was changed to the start position of opposite window
## Public Member Functions
| FindDialog (MainWindow *, PageCtrl *pageCtrl)
virtual | ~FindDialog ()
## Public Attributes
QString | window
## Private Slots
void | clearStartPosMsg ()
void | cursorAtStartPosMsg ()
void | find_bwd ()
void | find_fwd ()
void | find (bool replaceAll)
void | replaceAll ()
## Private Attributes
bool | bwd
| flag search backwards
QString | msg_text_changewindow
| message changed inputwindow information
QTimer * | timer
| timer for emporary message popup
MainWindow * | m_MainWindow
| instance of MainWindow class
PageCtrl * | m_PageCtrl
| instance of PageCtrl class

## Constructor & Destructor Documentation

FindDialog::FindDialog | ( | MainWindow * | parent,
|  | PageCtrl * | pageCtrl |
| ) |  |  |

creating function

Parameters:

  | PageCtrl | class

FindDialog::~FindDialog | ( |  | ) | `[virtual]`

virtual destructor

## Member Function Documentation

void FindDialog::clearStartPosMsg | ( |  | ) | `[private, slot]`

clear message label if inputwindow changed

void FindDialog::cursorAtStartPos | ( |  | ) | `[signal]`

signal cursor was changed to the start position of opposite window

void FindDialog::cursorAtStartPosMsg | ( |  | ) | `[private, slot]`

activate message label if cursor inputwindow changed

void FindDialog::find | ( | bool | replaceAll | ) | `[private, slot]`

find function, using input fields and check boxes of the dialog

The replacement function start at the current cursor position and stops at the end of the current window.

Parameters:

  | replaceAll | is used for replacement loop in the current selected window

void FindDialog::find_bwd | ( |  | ) | `[private, slot]`

activate find routine backwards

void FindDialog::find_fwd | ( |  | ) | `[private, slot]`

activate find routine in forward direction

void FindDialog::replaceAll | ( |  | ) | `[private, slot]`

replace all routine

void FindDialog::retranslateUi | ( |  | ) | `[slot]`

retranslate Ui

void FindDialog::showDialog | ( |  | ) | `[slot]`

show Dialog

## Member Data Documentation

bool FindDialog::bwd`[private]`

flag search backwards

MainWindow* FindDialog::m_MainWindow`[private]`

instance of MainWindow class

PageCtrl* FindDialog::m_PageCtrl`[private]`

instance of PageCtrl class

QString FindDialog::msg_text_changewindow`[private]`

message changed inputwindow information

QTimer* FindDialog::timer`[private]`

timer for emporary message popup

QString FindDialog::window

The documentation for this class was generated from the following files:

- finddialog.h
- finddialog.cpp